org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface FacetElement

All Superinterfaces:
  DocumentedElement

All Known Subinterfaces:
  DerivedTypedElement, FacetAttribute, FacetOperation, FacetReference

    public interface FacetElement
    extends DocumentedElement

A representation of the model object 'Facet Element'. A facet element is owned by a facet. It can be a facet reference, a facet attribute or a facet operation.

The following features are supported:

- `Categories`

See Also:
  `EFacetPackage.getFacetElement()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getCategories()` Returns the value of the 'Categories' reference list.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getCategories

    <any> getCategories()

Returns the value of the 'Categories' reference list. The list contents are of type `Category`.

If the meaning of the 'Categories' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Categories' reference list.
See Also:
  `EFacetPackage.getFacetElement_Categories()`
Generated:
Model: